@import './../colours';

// WARNING: Chaning these styles will change them for every button in every app

// For style changes to all buttons, edit this.
.mat-button, .mat-raised-button, .mat-stroked-button {
    height: 40px;
    span {
        @include get-font('button-bold');
        padding-left: 8px;
        padding-right: 8px;
    }
}

.buttons__large {
    height: 56px !important;
}

// For style changes to individual types of buttons, edit these
.buttons__contained {
    background: $yellow !important;
    .mat-ripple-element {
        background-color: rgba(255, 255, 255, 0.4) !important;
    }
}

.buttons__outlined {
    background: $white !important;
}   